org.keycloak.federation.ldap.mappers

## Class UserAttributeLDAPFederationMapperFactory

- java.lang.Object
- - org.keycloak.federation.ldap.mappers.AbstractLDAPFederationMapperFactory
  - - org.keycloak.federation.ldap.mappers.UserAttributeLDAPFederationMapperFactory

- All Implemented Interfaces:
    UserFederationMapperFactory, ConfiguredProvider, ProviderFactory<UserFederationMapper>

      public class UserAttributeLDAPFederationMapperFactory
      extends AbstractLDAPFederationMapperFactory

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static List<ProviderConfigProperty>` | `configProperties`
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from class org.keycloak.federation.ldap.mappers.AbstractLDAPFederationMapperFactory

      `ATTRIBUTE_MAPPER_CATEGORY, GROUP_MAPPER_CATEGORY, ROLE_MAPPER_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserAttributeLDAPFederationMapperFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AbstractLDAPFederationMapper` | `createMapper(UserFederationMapperModel mapperModel, LDAPFederationProvider federationProvider, RealmModel realm)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `Map<String,String>` | `getDefaultConfig(UserFederationProviderModel providerModel)` Used to detect what are default values for ProviderConfigProperties specified during mapper creation
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `validateConfig(RealmModel realm, UserFederationProviderModel fedProviderModel, UserFederationMapperModel mapperModel)` Called when instance of mapperModel is created for this factory through admin endpoint

    - ### Methods inherited from class org.keycloak.federation.ldap.mappers.AbstractLDAPFederationMapperFactory

      `checkMandatoryConfigAttribute, close, create, createConfigProperty, getFederationProviderType, getSyncConfig, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### configProperties

          protected static final List<ProviderConfigProperty> configProperties

  - ### Constructor Detail

    - #### UserAttributeLDAPFederationMapperFactory

          public UserAttributeLDAPFederationMapperFactory()

  - ### Method Detail

    - #### getHelpText

          public String getHelpText()

    - #### getDisplayCategory

          public String getDisplayCategory()

    - #### getDisplayType

          public String getDisplayType()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getDefaultConfig

          public Map<String,String> getDefaultConfig(UserFederationProviderModel providerModel)

      Description copied from interface: `UserFederationMapperFactory`
      Used to detect what are default values for ProviderConfigProperties specified during mapper creation
      Returns:

    - #### getId

          public String getId()

    - #### validateConfig

          public void validateConfig(RealmModel realm,
                                     UserFederationProviderModel fedProviderModel,
                                     UserFederationMapperModel mapperModel)
                              throws FederationConfigValidationException

      Description copied from interface: `UserFederationMapperFactory`
      Called when instance of mapperModel is created for this factory through admin endpoint
      Throws:
        `FederationConfigValidationException` - if configuration provided in mapperModel is not valid

    - #### createMapper

          protected AbstractLDAPFederationMapper createMapper(UserFederationMapperModel mapperModel,
                                                              LDAPFederationProvider federationProvider,
                                                              RealmModel realm)

      Specified by:
        `createMapper` in class `AbstractLDAPFederationMapperFactory`

Copyright © 2016 JBoss by Red Hat. All rights reserved.